> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-11/v11-3/v11-3-0.md).

# Version 11.3.0 Changelog (2025-02-19)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### New

**Form Builder**

* Added widget highlighting capabilities with three new APIs to the `FieldManager` class:
  * `enableWidgetHighlighting`
  * `disableWidgetHighlighting`
  * `isWidgetHighlightingEnabled`

**Office Editor**

* Added a `trackedChangesUpdated` document event.
* Dragging and dropping a table range now creates a new table.

### Fixes

**General**

* Fixed unnecessary processing when loading larger documents.
* Fixed an issue where URLs with special characters used as an initial document were crashing the application.

**Annotations**

* Fixed an issue where rectangle annotations with larger stroke sizes than the rectangles themselves did not appear correctly when downloaded and re-opened in WebViewer.
* Fixed an issue with FreeText copy/paste not copying over the rich text style.
* Fixed an issue with FreeText underline not rendering correctly when switching from dynamic font scaling.

**Content Edit**

* Fixed an issue with the Paragraph tool where sometimes a paragraph would be added to the wrong page.
* Fixed an issue in Safari where manually selecting a character in content edit mode would incorrectly include an extra character from the start.
* Fixed an issue in Safari where selecting a font-family from the dropdown would lose focus and no operation was performed.
* Fixed an issue where changing the font size of a content box would sometimes update the wrong content box.

**Form Builder**

* Fixed an issue where setting the default value in the form field panel would immediately update the field value instead of taking effect only after a reset.
* Fixed an issue where some imported widgets were selectable when not in form builder mode.

**Office Editor**

* Fixed an issue with the cursor moving to the wrong position when pressing backspace while in review mode.

## WebViewer UI

### New

**Modular UI**

* Added the ability to add other modular components into any flyout.
* Added support for importing and exporting custom panels and custom elements.
* Added `CustomElement` component to render any custom React or HTML element.
* Added a new `setStyle` API, and `style` / `className` parameters to the [Item components](/web/ui-customization/modular-ui/items.md).

**Office Editor**

* Added a "Show Non-Printing Characters" button to the toolbar.

### Fixes

**General**

* Fixed an issue in multi-viewer mode where closing the first document and attempting to download caused an error and made WebViewer freeze.
* Fixed an issue where printing with the left panel open, while a tab was disabled, caused the app to crash.

**Annotations**

* Fixed an issue with annotation selection when clicking on them very fast.
* Fixed an issue where custom colors could not be added while creating a custom stamp.

**Form Builder**

* Fixed an issue with form filling where in certain situations users could not fill out a form in capital letters.

**Layers**

* Fixed an issue with annotation layer toggling not working properly.

**Multi-tab**

* Fixed an issue where tabs with the same file name had the same identifiers.

**Modular UI**

* Fixed an issue where icons would not render in flyouts in Safari.
* Fixed an issue with ribbons disappearing and not reappearing after enabling and disabling `readOnly` mode.
* Fixed an issue where the Insert ribbon was set as active whenever users selected the signature tool, even when the tool lived in a different ribbon.
* Fixed an issue where occaisonally you could not reorder pages by dragging and dropping thumbnails in the thumbnails panel.

**Notes**

* Fixed an issue where setting a custom note filter would not be reflected in the note filter modal.

**Office Editor**

* Fixed an issue where tracked change popups appeared in review mode.

**Print**

* Fixed an issue where the "Total number of pages" label was not visible in the embedded print modal.
* Fixed an issue with the embedded print `printInBackground` API where it would still show the print modal.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-11/v11-3/v11-3-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
